[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.GetDefaultRowHeight

Get the default row height for records displayed in the grid.

## Declaration

Source position: dbgrids.pas line 465

`protected function TCustomDBGrid.GetDefaultRowHeight: Integer; override;`

## Function result

Default height for records displayed in the control.

## Description

GetDefaultRowHeight is an overridden Integer function used to get the default row height for records displayed in the grid control. GetDefaultRowHeight calls the inherited GetDefaultRowHeight method to get the return value for the method. The calculated row height is decreased by 2 pixels to allow space for borders on the editors overlaid onto the grid control.

## See also

TCustomGrid.GetDefaultRowHeight |  | Gets the default height for a row in the grid control.